<html>
<head>
<title>Ogre::TangentSpaceCalc::Result Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TangentSpaceCalc.html">TangentSpaceCalc</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1Result.html">Result</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TangentSpaceCalc::Result Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TangentSpaceCalc::Result" -->
<p>The result of having built a tangent space basis.  
 <a href="structOgre_1_1TangentSpaceCalc_1_1Result.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TangentSpaceCalc_1_1Result-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TangentSpaceCalc.html#abd646b98a45056f1251b49cf34881b51">VertexSplits</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1Result.html#adc7a5f1543644476242dfad6552342b6">vertexSplits</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A list of vertex indices which were split off into new vertices because of mirroring.  <a href="#adc7a5f1543644476242dfad6552342b6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a2ac32473675f968018e1dee1cbcf9cbe">IndexRemapList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1Result.html#a0e5e34d6936c7a3e76ad6e4d03688df8">indexesRemapped</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A list of indexes which were affected by splits.  <a href="#a0e5e34d6936c7a3e76ad6e4d03688df8"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The result of having built a tangent space basis. </p>

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00076">76</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a0e5e34d6936c7a3e76ad6e4d03688df8"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::Result::indexesRemapped" ref="a0e5e34d6936c7a3e76ad6e4d03688df8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TangentSpaceCalc.html#a2ac32473675f968018e1dee1cbcf9cbe">IndexRemapList</a> <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1Result.html#a0e5e34d6936c7a3e76ad6e4d03688df8">Ogre::TangentSpaceCalc::Result::indexesRemapped</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A list of indexes which were affected by splits. </p>
<p>You can use this if you have other triangle-based data which you will need to alter to match. </p>

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00085">85</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00229">Ogre::TangentSpaceCalc::remapIndexes()</a>.</p>

</div>
</div>
<a class="anchor" id="adc7a5f1543644476242dfad6552342b6"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::Result::vertexSplits" ref="adc7a5f1543644476242dfad6552342b6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TangentSpaceCalc.html#abd646b98a45056f1251b49cf34881b51">VertexSplits</a> <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1Result.html#adc7a5f1543644476242dfad6552342b6">Ogre::TangentSpaceCalc::Result::vertexSplits</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A list of vertex indices which were split off into new vertices because of mirroring. </p>
<p>First item in each pair is the source vertex index, the second value is the split vertex index. </p>

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00082">82</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
